/****************************************************************************
** $Id:  cmds/cmdpopzoom.h
** AutoQ3D a qt 3d model editor program
**
** Copyright (C) 2005 -Gonzalo Reynaga Garca. <gonzaloreynaga@yahoo.com>
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public Licence
** as published by the Free Software Foundation; either version 2 
** of the License, or (at your option) any later option.
** 
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR PARTICULAR PURPOSE. See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
** 
*****************************************************************************/

#ifndef CMDPOPZOOM_H
#define CMDPOPZOOM_H
#include "cmds.h"


void cmds::cmdpopzoom(){

	if(SecCmd=="**Cancel**"||SecCmd==""){
			PopViewMode=0;
			GripEditMode[0]=popStats[0];
			emit SetMouseMode(popStats[1]);
			emit instru(instruction);
			PopStep=0;
			return;
	}
	switch(PopStep){
		case 0:
				popStats[0]=GripEditMode[0];
				popStats[1]=*MouseMode;
				GripEditMode[0]=0;
				SendText("zoom");
				emit instru(instruction+"<<Zoom:>>");
				emit SetMouseMode(MOUSEMODE_ZOOM);
				PopStep++;
				return;
		break;
		
		case 1:
			if(!SecCmd.compare("p")||!SecCmd.compare("pan")||!SecCmd.compare("'pan")){
				PopViewMode=2;
				emit instru(instruction+"<<PAN:>>");
				emit SetMouseMode(MOUSEMODE_PAN);
				return;
			}
			
			if(!SecCmd.compare("rtv")||!SecCmd.compare("rotateview")||!SecCmd.compare("'rotateview")){
				PopViewMode=3;
				emit instru(instruction+"<<ROTATE VIEW:>>");
				emit SetMouseMode(MOUSEMODE_ROTATE);
				return;
			}
			
			if(!SecCmd.compare("setCmdData")){
				if(currentdata.format==2){
					emit ZoomVar(currentdata.v[0]);
					return;
				}
			
			}
			
			
		break;
		
	}
	
	
	SendText(SecCmd);
	SendText("**Secundary Command not found**");
}


#endif
