/****************************************************************************
** $Id:  cmds/cmdtrinormals.h
** AutoQ3D a qt 3d model editor program
**
** Copyright (C) 2005 -Gonzalo Reynaga Garca. <gonzaloreynaga@yahoo.com>
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public Licence
** as published by the Free Software Foundation; either version 2 
** of the License, or (at your option) any later option.
** 
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR PARTICULAR PURPOSE. See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
** 
*****************************************************************************/

#ifndef CMDTRINORMALS_H
#define CMDTRINORMALS_H
#include "cmds.h"



void cmds::cmdtrinormals(){
	int i,k;
	double var[0];
	d3triangle *DTV;
	DTV=DataTV->data();

	if((SecCmd=="**Cancel**"||SecCmd==""||SecCmd=="MouseRButton")&&!PopViewMode){
			SendText("**Cancel**");
			CmdCancel();
			return;
	}

	switch(step){
		
		case 0:
			/*/////////*/
		
				SendText("--Trinormals--");
				for(i=0;i<DataSV.size();i++){
				
					if(DataSV[i].type==2){
						k=DataSV[i].index;
						
						
						tempdataF[0]=DTV[k].n1[0];tempdataF[1]=DTV[k].n1[1];tempdataF[2]=DTV[k].n1[2];
						DTV[k].n1[0]=DTV[k].n2[0];DTV[k].n1[1]=DTV[k].n1[1];DTV[k].n1[2]=DTV[k].n2[2];
						DTV[k].n2[0]=DTV[k].n3[0];DTV[k].n2[1]=DTV[k].n3[1];DTV[k].n2[2]=DTV[k].n3[2];
						DTV[k].n3[0]=tempdataF[0];DTV[k].n3[1]=tempdataF[1];DTV[k].n3[2]=tempdataF[2];
						
				tempdataF[0]=DTV[k].v2[0]-DTV[k].v1[0];
				tempdataF[1]=DTV[k].v2[1]-DTV[k].v1[1];
				tempdataF[2]=DTV[k].v2[2]-DTV[k].v1[2];
				tempdataF[3]=DTV[k].v3[0]-DTV[k].v1[0];
				tempdataF[4]=DTV[k].v3[1]-DTV[k].v1[1];
				tempdataF[5]=DTV[k].v3[2]-DTV[k].v1[2];
				
				DTV[k].n3[0]=DTV[k].n2[0]=DTV[k].n1[0]=(tempdataF[1]*tempdataF[5]-tempdataF[2]*tempdataF[4]);
				DTV[k].n3[1]=DTV[k].n2[1]=DTV[k].n1[1]=(tempdataF[2]*tempdataF[3]-tempdataF[0]*tempdataF[5]);
				DTV[k].n3[2]=DTV[k].n2[2]=DTV[k].n1[2]=(tempdataF[0]*tempdataF[4]-tempdataF[1]*tempdataF[3]);
				var[0]=sqrt(DTV[k].n1[0]*DTV[k].n1[0]+DTV[k].n1[1]*DTV[k].n1[1]+DTV[k].n1[2]*DTV[k].n1[2]);
				DTV[k].n3[0]/=var[0];DTV[k].n2[0]/=var[0];DTV[k].n1[0]/=var[0];
				DTV[k].n3[1]/=var[0];DTV[k].n2[1]/=var[0];DTV[k].n1[1]/=var[0];
				DTV[k].n3[2]/=var[0];DTV[k].n2[2]/=var[0];DTV[k].n1[2]/=var[0];
					
					
					}
				
				
				}

				CmdCancel();
				return;
			
		break;
	}
	
	
	
	
	
	SendText(SecCmd);
	SendText("**Secondary Command not found**");
}


#endif
